Skip to content
Start here

Create Pipeline

client.pipelines.createV1(PipelineCreateV1Params { account_id, name, sql } params, RequestOptionsoptions?): PipelineCreateV1Response { id, created_at, modified_at, 3 more }
POST/accounts/{account_id}/pipelines/v1/pipelines

Create a new Pipeline.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Pipelines Write
ParametersExpand Collapse
params: PipelineCreateV1Params { account_id, name, sql }
account_id: string

Path param: Specifies the public ID of the account.

name: string

Body param: Specifies the name of the Pipeline.

maxLength128
minLength1
sql: string

Body param: Specifies SQL for the Pipeline processing flow.

ReturnsExpand Collapse
PipelineCreateV1Response { id, created_at, modified_at, 3 more }
id: string

Indicates a unique identifier for this pipeline.

created_at: string
modified_at: string
name: string

Indicates the name of the Pipeline.

maxLength128
minLength1
sql: string

Specifies SQL for the Pipeline processing flow.

status: string

Indicates the current status of the Pipeline.

Create Pipeline

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.pipelines.createV1({
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
  name: 'my_pipeline',
  sql: 'insert into sink select * from source;',
});

console.log(response.id);
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "01234567890123457689012345678901",
    "created_at": "created_at",
    "modified_at": "modified_at",
    "name": "my_pipeline",
    "sql": "insert into sink select * from source;",
    "status": "status"
  },
  "success": true
}